<?php
/**
 * Upgrades the database from version 1.8.2 to version NEXT
 * DO NOT call this directly, it will fail.
 * To be included from classes/core/updater.class.php.
 * Assumes that logging has already been init()ed. Log class will throw ServerException if not.
 */
Log::write(Log::LOGLEVEL_INFO, "In updater, from 1.8.2 to NEXT...");


Log::write(Log::LOGLEVEL_INFO, "Forcing shipmentdestination.clientbaseuri and apibaseuri column nullable...");
database::addOrAlterColumn('shipmentdestination','apibaseuri','VARCHAR(100) CHARACTER SET utf8 COLLATE utf8_bin NULL');
database::addOrAlterColumn('shipmentdestination','clientbaseuri','VARCHAR(100) CHARACTER SET utf8 COLLATE utf8_bin NULL');
Log::write(Log::LOGLEVEL_INFO, "...done");




Log::write(Log::LOGLEVEL_INFO, "...update done");

